package com.phm.manage.domain;

import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.TreeEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 产品树信息对象 phm_product
 *
 * @author phm
 * @date 2023-08-31
 */
public class Product extends TreeEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    private String name;

    /**
     * SNS编号
     */
    @Excel(name = "SNS编号")
    private String snsId;

    /**
     * 数据是否删除（1：删除，0有效）
     */
    private Long isDelete;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setSnsId(String snsId) {
        this.snsId = snsId;
    }

    public String getSnsId() {
        return snsId;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("parentId", getParentId())
                .append("name", getName())
                .append("snsId", getSnsId())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
